Modify

Opened 4 months ago

Closed 4 months ago

#14638 closed defect (duplicate)

Deadlock due to movement to new location (deadlock on MapillaryData)

Reported by: alexkemp Owned by: floscher
Priority: blocker Milestone:
Component: Plugin mapillary Version: latest
Keywords: template_report deadlock Cc:

Description

What steps will reproduce the problem?

  1. Update all + use JOSM + (thank god) save work
  2. Use <Ctrl>+<Arrow-key> to move to next section of map

What is the expected result?

View next section of map in window

What happens instead?

Scrren freeze (JOSM only)

Please provide any additional information below. Attach a screenshot if possible.

Status report pasted below:-

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-04-10 23:49:54 +0200 (Mon, 10 Apr 2017)
Build-Date:2017-04-11 01:34:43
Revision:11885
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11885 en_GB) Linux Debian GNU/Linux 8.7 (jessie)
Memory Usage: 745 MB / 1636 MB (467 MB allocated, but free)
Java version: 1.8.0_121-8u121-b13-1~bpo8+1-b13, Oracle Corporation, OpenJDK 64-Bit Server VM
Screen: :0.0 1366x768
Maximum Screen Size: 1366x768
Java package: openjdk-8-jre:amd64-8u121-b13-1~bpo8+1
Java ATK Wrapper package: libatk-wrapper-java:all-0.30.5-1
VM arguments: [-Djosm.restart=true, -Djosm.dir.name=JOSM-latest, -Djava.net.useSystemProxies=true]
Dataset consistency test: No problems found

Plugins:
+ DirectUpload (33182)
+ Mapillary (v1.5.0)
+ apache-commons (32994)
+ apache-http (32699)
+ buildings_tools (33004)
+ continuosDownload (53)
+ terracer (33088)

Last errors/warnings:
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- E: Failed to locate image 'http://nls.tileserver.com/nls70-nq8.png'
- E: Failed to locate image 'http://nls.tileserver.com/nls70-nq8.png'
- E: Failed to locate image 'http://nls.tileserver.com/nls70-nq8.png'

cache.bing.attribution.xml=1491936277
cache.capabilities1637351842=1491754384
cache.motd.html=1491906165
cache.motd.html.java=1.8.0_121
cache.motd.html.lang=En_GB:
cache.motd.html.version=11885
directupload.description.history=[2017-04-10_14-48-56 Gedling Ward, Gedling NG4, UK (yew tree lane & others), 2017-04-10_12-54-19 Gedling Ward, Gedling NG4, UK (yew tree lane & others), 2017-04-09_13-21-30 Gedling main road & others, 2017-04-03_09-58-28 Phonenix Farm Estate NG4, Gedling, UK (Arnold Lane & others), 2017-03-30_13-07-32 Phonenix Farm Estate NG4, Gedling, UK (Jessops Lane & others), 2017-03-26_10-52-52 Phonenix Farm Estate NG4, Gedling, UK (Jessops Lane & others), 2017-03-24_11-48-25 Phonenix Farm Estate NG4, Gedling, UK (Lambley Lane & others), 2017-03-22_10-16-14 Gedling Ward, Gedling NG4, UK (Main Road & others), 2017-03-18_10-32-29 Gedling Estate NG4, Gedling, UK (Burton Road & others), 2017-03-16_09-58-30 St Anns, Nottingham NG3, UK (nugent gardens & others), 2017-03-07_11-24-46 St Anns, Nottingham NG3, UK (robin hood street & others), 2017-02-24_15-05-35 King Georges Field, Ware SG12, Herts (trinity road & others), 2017-02-22_13-55-57 Phonenix Farm Estate NG4, Gedling, UK (Priory Lane & others), 2017-02-13_12-05-47 Phonenix Farm Estate NG4, Gedling, UK (arnold lane)]
directupload.tags.history=[]
directupload.visibility.last-used=TRACKABLE
download.places.history=[burton joyce, lesley geaves burton joyce, gedling road gedling, gedling street gedling, gedling street nottingham, gedling nottingham, king george road ware hertfordshire, ware hertfordshire, arnold lane gedling, arnold lane ware, arnold road ware]
expert=true
file-open.history=[${HOME}/osmtracker/2017-04-10_14-48-56/2017-04-10_14-48-56.gpx, ${HOME}/osmtracker/2017-04-10_12-54-19/2017-04-10_12-54-19.gpx, ${HOME}/osmtracker/2017-04-09_13-21-30/2017-04-09_13-21-30.gpx, ${HOME}/osmtracker/2017-04-03_09-58-28/2017-04-03_09-58-28.gpx, ${HOME}/osmtracker/2017-03-30_13-07-32/2017-03-30_13-07-32.gpx, ${HOME}/osmtracker/2017-03-26_10-52-52/2017-03-26_10-52-52.gpx, ${HOME}/osmtracker/2017-03-24_11-48-25/2017-03-24_11-48-25.gpx, ${HOME}/osmtracker/2017-03-22_10-16-14/2017-03-22_10-16-14.gpx, ${HOME}/osmtracker/2017-03-18_10-32-29/2017-03-18_10-32-29.gpx, ${HOME}/osmtracker/2017-03-16_09-58-30/2017-03-16_09-58-30.gpx, ${HOME}/JOSM/2017-03-15.osm, ${HOME}/JOSM/2017-03-15.joz, ${HOME}/osmtracker/2017-03-07_11-24-46/2017-03-07_11-24-46.gpx, ${HOME}/osmtracker/2017-02-24_15-05-35/2017-02-24_15-05-35.gpx, ${HOME}/osmtracker/2017-02-22_13-55-57/2017-02-22_13-55-57.gpx]
gui.geometry=x=-1,y=0,width=1368,height=748
gui.maximized=true
imagery.entries=[{name=Bing aerial imagery, id=Bing, type=bing, url=http://www.bing.com/maps/, max-zoom=22, projections=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAMAAADXqc3KAAAAdVBMVEX/phX/04r/////6cX/zXz/7Mz/vFD/u0z/1I7/tT3/yXH/uEX/v1f/rCT/2pz/vlP/qRz/4a//yG3/xmn//Pj/9eb/+/T/897/t0H/wl7/sTL//vv/+O3/2Jn/7dD/+vH/9+n/3KT/tDr/9OL/8Nf/26D/ynSCVQVOAAAAkklEQVR4Xq3R1w7DIBQD0NiQne69d///E3tvBYVU6UsVPyEdCYycIOlOv5AB004Aaf6DCpLtF4yxp8tkFMGCkiEkKyGz9qCxrkxuhLIAeaijMvAwi/vMycJDuyi5/AVUaPwTPik5UdCDiWCjtd5Q70TK+KKD26M+6o+tdGxwIlmFPeyZn1yuraFKFOnt/sCz/81f+9UEaf1lPCAAAAAASUVORK5CYII=, noTileHeaders={"X-VE-Tile-Info":["no-tile"]}, metadataHeaders={"X-VE-TILEMETA-CaptureDatesRange":"Capture Date"}}, {name=Mapbox Satellite, id=Mapbox, type=tms, url=http://{switch:a,b,c}.tiles.mapbox.com/v4/openstreetmap.map-inh7ifmo/{zoom}/{x}/{y}.png?access_token=pk.eyJ1Ijoib3BlbnN0cmVldG1hcCIsImEiOiJncjlmd0t3In0.DmZsIeOW-3x-C5eX-wAqTw, max-zoom=19, projections=, icon=data:image/png;base64,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, noTileHeaders={"ETag":["\"067736a547cafe90014b4e59b6510abe\"|\"ee1f6802b0234046b553cbbc672ac7d9\"|\"9f5a2f1d7cc131e58befc2052c71c827\""]}, noTileChecksums={"MD5":["811bb5f56a0e672f674a2a820d340c61"]}}, {name=OpenStreetMap (Standard Black & White), id=osm-mapnik-black_and_white, type=tms, url=https://tiles.wmflabs.org/bw-mapnik/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, CC-BY-SA, attribution-url=https://openstreetmap.org/, max-zoom=18, projections=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAQAAABKfvVzAAADJElEQVR4Xo2SS2hcZRSAv/+//70zkzszeU+okVqaaGLjI0akTRGl3ehGdCEiutO6c6PgwoWCSMUXdRFaCurGTRGVUtqNraKmTDA1KtIQzat3TKczSW0mznTuzNznL1zoxo1+q3PgwPnOA8cufVU647y+PnYps6Wq9lbfxvTiqdnzs+/PH7re/bY6nV7tqT5UmanOkUDJcN5w9BW9phcuXDtW/bqy7ejfdVH/qhd0cfXsO9998VN5Xq/qTffaAwACnGl9VvcHePSiaOMidSzWdb+wsRG0CLmhc8E9r/YcbyNgqZA6w4E6ETksoI3gIofIYCCT3KPD39z49OkjIGHf9aikyWFyE4EgzwoHyJFBoQmxsAmQyH1TAyABrMDCJIvCI2Ibk24kYGCTIwXksbD3P3sYDCjtMV8xhsACJHXK5BjCRBMQ0CbAxUdpQ27Xrp5XYI7oEYgQ+IBHjKBDkOiZSJqESGLSZMYOWrJEPK67NDEtIhpoTAQxMRDSpE4H0AgUSkhkaPmTAaGGJiYWWSxCOmgU0CaEpI9Bmmj1+0AthnvXMwRCEBPSh4ekSh8dBNBFAChSZESD8i9LsXxKr/wRNWWy/XTi2sO3rBGjk2lMUqSTLa3+eHJuzJIwX/bLApOYiE4y/F18xNUkInG3iFjxi5/vVJSU6FMld9NHYLCDxqPKEoqPuUQjubLLNgtsmIcnXB1HCso1qyYJiMmzwSdY9PIww2zRhUEOjYsgJ8zhXtnyFXzT218IscizzHHcROsxdhPzFzdxsBDkGYjW13bcQqhgdCS+s0MWhxPUCTCZIotAspeYCgoPqZve5SKtZSQ0RrwhmyvMUMFF8TjTFPBJ4REyiEaAiN2jP6BBzqjOhMEi7+HQIstzyada9BFqQ9u4eFpphe+wCaAMM9q1HB41POGzixe4H7d18cJAauJgd75JiIkpDOq1y1+SAAa3vXvkrcZ4PFZ7bf3k7Itvsp9hbufBl14+fe7nP8/NfXDi0ee5l25uUUTc8eFnT/42esx+gmEMbiGxGUyO/G+mcnseue+ZycmpDP+PAneb4+lRA2D3f9T+A2BEVdbaZSWbAAAAAElFTkSuQmCC, valid-georeference=true}, {name=OpenStreetMap Carto (Standard), id=standard, type=tms, url=https://{switch:a,b,c}.tile.openstreetmap.org/{zoom}/{x}/{y}.png, attribution-text=© OpenStreetMap contributors, CC-BY-SA, attribution-url=https://openstreetmap.org/, max-zoom=19, projections=, icon=data:image/png;base64,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, valid-georeference=true}, {name=Postcode (UK), type=tms, url=http://www.raggedred.net/tiles/codepoint/{zoom}/{x}/{y}.png, projections=}]
imagery.layers.default=[Bing, Mapbox, osm-mapnik-black_and_white, standard]
josm.version=11885
lastDirectory=${HOME}/osmtracker/2017-04-10_14-48-56
mapillary.format-24=false
mapillary.imageInfo.helpDisplayedCountdown=0
mapillary.start-directory=${HOME}/jpeg
mappaint.renderer-class-name=org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer
mappaint.style.known-defaults=[resource://styles/standard/elemstyles.mapcss, resource://styles/standard/potlatch2.mapcss]
marker.audiofromstart=false
message.imagery.nagPanel.http://os.openstreetmap.org/sv/{zoom}/{x}/{y}.png=false
message.imagery.nagPanel.http://www.bing.com/maps/=false
message.imagery.nagPanel.http://www.raggedred.net/tiles/codepoint/{zoom}/{x}/{y}.png=false
mirror.<josm.pref>/cache/images.http://nls.tileserver.com/nls70-nq8.png=[1489710261483, <josm.pref>/cache/images/mirror_http___nls.tileserver.com_nls70-nq8.png]
mirror.<josm.pref>/cache/images.https://josm.openstreetmap.de/browser/trunk/images/dialogs/changeset/changesetmanager.svg?format_raw=[1491124313218, <josm.pref>/cache/images/mirror_https___josm.openstreetmap.de_browser_trunk_images_dialogs_changeset_changesetmanager.svg_format_raw]
mirror.https://josm.openstreetmap.de/maps=[1491936170475, <josm.pref>/cache/mirror_https___josm.openstreetmap.de_maps]
org.openstreetmap.josm.actions.SessionSaveAsAction$SessionSaveAsDialog.geometry=x=508,y=149,width=350,height=450
org.openstreetmap.josm.gui.conflict.tags.CombinePrimitiveResolverDialog.geometry=x=699,y=0,width=667,height=455
org.openstreetmap.josm.gui.conflict.tags.PasteTagsConflictResolverDialog.geometry=x=383,y=184,width=600,height=400
org.openstreetmap.josm.gui.dialogs.DeleteFromRelationConfirmationDialog.geometry=x=483,y=274,width=400,height=200
org.openstreetmap.josm.gui.dialogs.InspectPrimitiveDialog.geometry=x=616,y=112,width=750,height=550
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$AddTagsDialog.geometry=x=392,y=0,width=974,height=427
org.openstreetmap.josm.gui.dialogs.properties.TagEditHelper$EditTagDialog.geometry=x=153,y=86,width=724,height=187
org.openstreetmap.josm.gui.dialogs.relation.GenericRelationEditor.geometry=x=0,y=0,width=1366,height=744
org.openstreetmap.josm.gui.download.DownloadDialog.geometry=x=234,y=58,width=1000,height=600
org.openstreetmap.josm.gui.help.HelpBrowser.geometry=x=0,y=0,width=600,height=400
org.openstreetmap.josm.gui.io.UploadDialog.geometry=x=437,y=20,width=600,height=600
org.openstreetmap.josm.gui.oauth.OAuthAuthorizationWizard.geometry=x=458,y=104,width=600,height=540
org.openstreetmap.josm.gui.preferences.PreferenceDialog.geometry=x=333,y=27,width=700,height=714
osm-download.bounds=52.9753278;-1.0793209;52.9761418;-1.0770249
osm-server.upload-strategy=singlerequest
pluginmanager.lastupdate=1491906164618
pluginmanager.version=11885
pluginmanager.version-based-update.policy=always
plugins=[DirectUpload, Mapillary, apache-commons, apache-http, buildings_tools, continuosDownload, terracer]
progressdialog.size=449
properties.recent-tags=[image, https://www.mapillary.com/map/im/ydqUS7sXrZ10m_YnK3ac9Q, image, https://www.mapillary.com/map/im/AZ4oUm4LD2rltxeMDSUdog, addr:housename, Tall Trees, image, https://www.mapillary.com/map/im/G3pNajKqPSWYsA3L2uECkA, image, https://www.mapillary.com/map/im/j0ZnYIb-DyD7tEBWsume5Q, layer, 0, image, https://www.mapillary.com/map/im/GuCDnzhUj2d5Z18VWWoleg, addr:housename, Hideaway, addr:housename, Cherith, image, https://www.mapillary.com/map/im/ZzL5MoEsyLPa98Dmudn1xQ, image, https://www.mapillary.com/map/im/IsJIe23vXDw93Zhd1Kq1mA, addr:housename, Wil-O, note, 2017-Mar: actually a green field, but blighted for many decades due to 'development', image, https://www.mapillary.com/map/im/BjTGfq7EgzsmO-DzcHzl5g, start_date, 1990, building, detached, image, https://www.mapillary.com/map/im/oqNQ0y8UwOzkQVZd4A557A, image, https://www.mapillary.com/map/im/A3s9XJ2KVZL28rt26CvU7Q, image, https://www.mapillary.com/map/im/I6KfBx7Ntm16Om76dKA55g, addr:housename, Willow Farm House, addr:housename, Croft Cottage, image, https://www.mapillary.com/map/im/bUsRJHZKA2WxkXA5QD6Vcg, HE_ref, 1227485, start_date, mid-1800s, image, https://www.mapillary.com/map/im/JeDQEIN4Gt6-ZYmg-Gfupg, heritage, 2, heritage:operator, he, listed_status, Grade II, HE_ref, 1227496, start_date, early-1700s]
relation.editor.generic.lastrole=house
relationlist.visible=false
search.history=[R church road, R openreach, R "Western power"]
selectionlist.visible=false
system_of_measurement=Nautical Mile
terracer.HouseNumberInputDialog.geometry=x=725,y=101,width=340,height=361
toggleDialogs.width=515
toolbar=[open, save, download, upload, |, undo, redo, |, dialogs/search(searchExpression=), preference, |, splitway, combineway, wayflip, |, imagery-offset, |, tagginggroup_Highways/Streets, tagginggroup_Highways/Ways, tagginggroup_Highways/Waypoints, tagginggroup_Highways/Barriers, |, tagginggroup_Transport/Car, tagginggroup_Transport/Public Transport, |, tagginggroup_Facilities/Tourism, tagginggroup_Facilities/Food+Drinks, |, tagginggroup_Man Made/Historic Places, |, tagginggroup_Man Made/Man Made]
upload.comment.history=[Additions in Gedling Ward, Gedling NG4, Notts, UK (willow crescent), Additions in Gedling Ward, Gedling NG4, Notts, UK (bleasdale close), Additions in Gedling Ward, Gedling NG4, Notts, UK (willow lane 8), Additions in Gedling Ward, Gedling NG4, Notts, UK (willow lane 7) (test for mapillary values), Additions in Gedling Ward, Gedling NG4, Notts, UK (shearing hill - he references), Additions in Gedling Ward, Gedling NG4, Notts, UK (main road - he references), Additions in Gedling Ward, Gedling NG4, Notts, UK (willow lane 6), Additions in Gedling Ward, Gedling NG4, Notts, UK (willow lane 5), Additions in Gedling Ward, Gedling NG4, Notts, UK (green's farm lane 2), Additions in Gedling Ward, Gedling NG4, Notts, UK (green's farm lane), Additions in Gedling Ward, Gedling NG4, Notts, UK (willow lane 4), Additions in Gedling Ward, Gedling NG4, Notts, UK (oak tree drive 4), Additions in Gedling Ward, Gedling NG4, Notts, UK (alma close), Additions in Gedling Ward, Gedling NG4, Notts, UK (oak tree drive 3), Additions in Gedling Ward, Gedling NG4, Notts, UK (jayne close)]
upload.comment.last-used=1491935706
upload.source.history=[survey; Bing, , local knowledge; survey; Bing, knowledge, survey, Bing]
validator.org.openstreetmap.josm.data.validation.tests.MapCSSTagChecker.entries=[{active=true, title=Addresses, url=resource://data/validator/addresses.mapcss}, {active=true, title=Tag combinations, url=resource://data/validator/combinations.mapcss}, {active=true, title=Deprecated features, url=resource://data/validator/deprecated.mapcss}, {active=true, title=Geometry, url=resource://data/validator/geometry.mapcss}, {active=true, title=Highways, url=resource://data/validator/highway.mapcss}, {active=true, title=Multiple values, url=resource://data/validator/multiple.mapcss}, {active=true, title=Numeric values, url=resource://data/validator/numeric.mapcss}, {active=true, title=Religion, url=resource://data/validator/religion.mapcss}, {active=true, title=Relations, url=resource://data/validator/relation.mapcss}, {active=true, title=Territories, url=resource://data/validator/territories.mapcss}, {active=true, title=Unnecessary tags, url=resource://data/validator/unnecessary.mapcss}, {active=true, title=Wikipedia, url=resource://data/validator/wikipedia.mapcss}]
validator.skip=[]
validator.skipBeforeUpload=[]

Attachments (1)

jstack-info.txt (53.2 KB) - added by alexkemp 4 months ago.
output from command: jstack <ps-id> whilst JOSM in deadlock

Download all attachments as: .zip

Change History (13)

Changed 4 months ago by alexkemp

Attachment: jstack-info.txt added

output from command: jstack <ps-id> whilst JOSM in deadlock

comment:1 Changed 4 months ago by Don-vip

Keywords: deadlock added
Priority: normalmajor
Summary: Deadlock due to movement to new location (deadlock due to Mapillary bug?)Deadlock due to movement to new location (deadlock on MapillaryData)

comment:2 Changed 4 months ago by Don-vip

Priority: majorblocker

The deadlock occurs during unit tests too and freeze the JOSM Jenkins server:

check-test:

test-init:
    [mkdir] Created dir: /var/lib/jenkins/jobs/JOSM-Plugins/workspace/jdk/JDK8/Mapillary/test/build
    [mkdir] Created dir: /var/lib/jenkins/jobs/JOSM-Plugins/workspace/jdk/JDK8/Mapillary/test/build/unit
    [mkdir] Created dir: /var/lib/jenkins/jobs/JOSM-Plugins/workspace/jdk/JDK8/Mapillary/test/report
     [copy] Copying 1 file to /var/lib/jenkins/jobs/JOSM-Plugins/workspace/jdk/JDK8/00_core_test_config/unit-josm.home

test-compile:
    [javac] /var/lib/jenkins/jobs/JOSM-Plugins/workspace/jdk/JDK8/build-common.xml:468: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 27 source files to /var/lib/jenkins/jobs/JOSM-Plugins/workspace/jdk/JDK8/Mapillary/test/build/unit

test:
     [echo] Running unit tests with JUnit
[jacoco:coverage] Enhancing junit with coverage
    [junit] Running org.openstreetmap.josm.plugins.mapillary.AbstractTest
    [junit] Tests run: 1, Failures: 0, Errors: 0, Skipped: 1, Time elapsed: 0.266 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.ImportTest
    [junit] Tests run: 2, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 1.587 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.MapillaryAbstractImageTest
    [junit] Tests run: 2, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 1.496 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.MapillaryDataTest
    [junit] Tests run: 8, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.095 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.MapillaryLayerTest
    [junit] Tests run: 6, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.27 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.MapillarySequenceTest
    [junit] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.003 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.cache.MapillaryCacheTest
    [junit] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.016 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.gui.ImageDisplayTest
    [junit] Tests run: 3, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.02 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.gui.MapillaryPreferenceSettingTest
    [junit] Tests run: 4, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.258 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.gui.layer.MapObjectLayerTest
    [junit] Tests run: 6, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.27 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.history.MapillaryRecordTest
    [junit] Tests run: 9, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.042 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest
    [junit] 2017-04-13 22:06:48
    [junit] Full thread dump OpenJDK 64-Bit Server VM (25.121-b13 mixed mode):
    [junit] 
    [junit] "AWT-EventQueue-0" #24 prio=6 os_prio=0 tid=0x00007fed60a73800 nid=0x1b36 waiting for monitor entry [0x00007fed1e41e000]
    [junit]    java.lang.Thread.State: BLOCKED (on object monitor)
    [junit] 	at java.awt.Component.invalidate(Component.java:2934)
    [junit] 	- waiting to lock <0x00000006c576cca0> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.invalidate(Container.java:1587)
    [junit] 	at javax.swing.JComponent.revalidate(JComponent.java:4848)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$RootView.preferenceChanged(BasicTextUI.java:1406)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.GlyphView.changedUpdate(GlyphView.java:962)
    [junit] 	at javax.swing.text.LabelView.changedUpdate(LabelView.java:303)
    [junit] 	at javax.swing.text.html.InlineView.changedUpdate(InlineView.java:93)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.FlowView$LogicalView.forwardUpdateToView(FlowView.java:795)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.FlowView$LogicalView.forwardUpdate(FlowView.java:805)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.FlowView.changedUpdate(FlowView.java:283)
    [junit] 	at javax.swing.text.ParagraphView.changedUpdate(ParagraphView.java:788)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.BoxView.forwardUpdate(BoxView.java:240)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.html.BlockView.changedUpdate(BlockView.java:341)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.BoxView.forwardUpdate(BoxView.java:240)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.html.BlockView.changedUpdate(BlockView.java:341)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$RootView.changedUpdate(BasicTextUI.java:1638)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$UpdateHandler.changedUpdate(BasicTextUI.java:1899)
    [junit] 	at javax.swing.text.AbstractDocument.fireChangedUpdate(AbstractDocument.java:230)
    [junit] 	at javax.swing.text.html.HTMLDocument.fireChangedUpdate(HTMLDocument.java:1738)
    [junit] 	at javax.swing.text.DefaultStyledDocument$ChangeUpdateRunnable.run(DefaultStyledDocument.java:2738)
    [junit] 	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
    [junit] 	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
    [junit] 	at java.awt.EventQueue.access$500(EventQueue.java:97)
    [junit] 	at java.awt.EventQueue$3.run(EventQueue.java:709)
    [junit] 	at java.awt.EventQueue$3.run(EventQueue.java:703)
    [junit] 	at java.security.AccessController.doPrivileged(Native Method)
    [junit] 	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
    [junit] 	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
    [junit] 	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
    [junit] 	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
    [junit] 	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
    [junit] 	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    [junit] 	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
    [junit] 	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
    [junit] 
    [junit] "AWT-Shutdown" #25 prio=5 os_prio=0 tid=0x00007fed60a72800 nid=0x1b35 in Object.wait() [0x00007fed1e521000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x0000000774f8f2e0> (a java.lang.Object)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:295)
    [junit] 	- locked <0x0000000774f8f2e0> (a java.lang.Object)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "JCS-ElementEventQueue-Thread-4" #16 daemon prio=5 os_prio=0 tid=0x00007fed601c0800 nid=0x1b2e waiting on condition [0x00007fed1ea22000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c5483988> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Java2D Disposer" #14 daemon prio=10 os_prio=0 tid=0x00007fed60835000 nid=0x1b2d in Object.wait() [0x00007fed1f622000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c5593138> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:143)
    [junit] 	- locked <0x00000006c5593138> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:164)
    [junit] 	at sun.java2d.Disposer.run(Disposer.java:148)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Thread-2" #11 daemon prio=5 os_prio=0 tid=0x00007fed6067a800 nid=0x1b29 runnable [0x00007fed1fbfc000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 	at sun.nio.fs.LinuxWatchService.poll(Native Method)
    [junit] 	at sun.nio.fs.LinuxWatchService.access$600(LinuxWatchService.java:47)
    [junit] 	at sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:314)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Service Thread" #9 daemon prio=9 os_prio=0 tid=0x00007fed6041c000 nid=0x1b27 runnable [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C1 CompilerThread2" #8 daemon prio=9 os_prio=0 tid=0x00007fed603b2000 nid=0x1b26 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C2 CompilerThread1" #7 daemon prio=9 os_prio=0 tid=0x00007fed603b1000 nid=0x1b25 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C2 CompilerThread0" #6 daemon prio=9 os_prio=0 tid=0x00007fed603b0800 nid=0x1b24 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "Signal Dispatcher" #4 daemon prio=9 os_prio=0 tid=0x00007fed60175000 nid=0x1b23 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "Finalizer" #3 daemon prio=8 os_prio=0 tid=0x00007fed6014d800 nid=0x1b22 in Object.wait() [0x00007fed4535f000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c55a3f80> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:143)
    [junit] 	- locked <0x00000006c55a3f80> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:164)
    [junit] 	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:209)
    [junit] 
    [junit] "Reference Handler" #2 daemon prio=10 os_prio=0 tid=0x00007fed60149000 nid=0x1b21 in Object.wait() [0x00007fed45460000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c55a34e8> (a java.lang.ref.Reference$Lock)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at java.lang.ref.Reference.tryHandlePending(Reference.java:191)
    [junit] 	- locked <0x00000006c55a34e8> (a java.lang.ref.Reference$Lock)
    [junit] 	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:153)
    [junit] 
    [junit] "main" #1 prio=5 os_prio=0 tid=0x00007fed6000d000 nid=0x1b1b in Object.wait() [0x00007fed671a7000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x0000000774fdf0b8> (a javax.swing.text.html.HTMLDocument)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at javax.swing.text.AbstractDocument.readLock(AbstractDocument.java:1387)
    [junit] 	- locked <0x0000000774fdf0b8> (a javax.swing.text.html.HTMLDocument)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI.getMinimumSize(BasicTextUI.java:942)
    [junit] 	at javax.swing.JComponent.getMinimumSize(JComponent.java:1744)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculateNonlinkedMinimumSize(GroupLayout.java:3008)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculateMinimumSize(GroupLayout.java:2972)
    [junit] 	at javax.swing.GroupLayout$Spring.getMinimumSize(GroupLayout.java:1336)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculatePreferredSize(GroupLayout.java:2979)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout$Group.getSpringSize(GroupLayout.java:1638)
    [junit] 	at javax.swing.GroupLayout$Group.calculateSize(GroupLayout.java:1627)
    [junit] 	at javax.swing.GroupLayout$Group.calculatePreferredSize(GroupLayout.java:1602)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout$Group.getSpringSize(GroupLayout.java:1638)
    [junit] 	at javax.swing.GroupLayout$Group.calculateSize(GroupLayout.java:1625)
    [junit] 	at javax.swing.GroupLayout$Group.calculatePreferredSize(GroupLayout.java:1602)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout.calculateAutopadding(GroupLayout.java:1071)
    [junit] 	at javax.swing.GroupLayout.prepare(GroupLayout.java:1058)
    [junit] 	at javax.swing.GroupLayout.preferredLayoutSize(GroupLayout.java:878)
    [junit] 	at java.awt.Container.preferredSize(Container.java:1796)
    [junit] 	- locked <0x00000006c576cca0> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.getPreferredSize(Container.java:1780)
    [junit] 	at javax.swing.JComponent.getPreferredSize(JComponent.java:1664)
    [junit] 	at java.awt.FlowLayout.preferredLayoutSize(FlowLayout.java:414)
    [junit] 	- locked <0x00000006c576cca0> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.preferredSize(Container.java:1796)
    [junit] 	- locked <0x00000006c576cca0> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.getPreferredSize(Container.java:1780)
    [junit] 	at javax.swing.JComponent.getPreferredSize(JComponent.java:1664)
    [junit] 	at org.openstreetmap.josm.gui.NotificationManager.processQueue(NotificationManager.java:110)
    [junit] 	at org.openstreetmap.josm.gui.NotificationManager.showNotification(NotificationManager.java:95)
    [junit] 	- locked <0x0000000774ff4358> (a java.util.LinkedList)
    [junit] 	at org.openstreetmap.josm.gui.Notification.show(Notification.java:211)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.BoundsDownloadRunnable.run(BoundsDownloadRunnable.java:42)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest.testNumberOfDecodedImages(SequenceDownloadRunnableTest.java:67)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest.testRun3(SequenceDownloadRunnableTest.java:46)
    [junit] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [junit] 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [junit] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [junit] 	at java.lang.reflect.Method.invoke(Method.java:498)
    [junit] 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
    [junit] 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
    [junit] 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
    [junit] 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
    [junit] 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:26)
    [junit] 	at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325)
    [junit] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78)
    [junit] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57)
    [junit] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290)
    [junit] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71)
    [junit] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288)
    [junit] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58)
    [junit] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268)
    [junit] 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:26)
    [junit] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:363)
    [junit] 	at junit.framework.JUnit4TestAdapter.run(JUnit4TestAdapter.java:38)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:535)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:1182)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:1004)
    [junit] 
    [junit] "VM Thread" os_prio=0 tid=0x00007fed60141800 nid=0x1b20 runnable 
    [junit] 
    [junit] "GC task thread#0 (ParallelGC)" os_prio=0 tid=0x00007fed60022000 nid=0x1b1c runnable 
    [junit] 
    [junit] "GC task thread#1 (ParallelGC)" os_prio=0 tid=0x00007fed60024000 nid=0x1b1d runnable 
    [junit] 
    [junit] "GC task thread#2 (ParallelGC)" os_prio=0 tid=0x00007fed60025800 nid=0x1b1e runnable 
    [junit] 
    [junit] "GC task thread#3 (ParallelGC)" os_prio=0 tid=0x00007fed60027800 nid=0x1b1f runnable 
    [junit] 
    [junit] "VM Periodic Task Thread" os_prio=0 tid=0x00007fed60442000 nid=0x1b28 waiting on condition 
    [junit] 
    [junit] JNI global references: 561
    [junit] 
    [junit] Heap
    [junit]  PSYoungGen      total 114688K, used 22350K [0x000000076c700000, 0x0000000775500000, 0x00000007c0000000)
    [junit]   eden space 109056K, 15% used [0x000000076c700000,0x000000076d781d58,0x0000000773180000)
    [junit]   from space 5632K, 96% used [0x0000000774f80000,0x00000007754d1b18,0x0000000775500000)
    [junit]   to   space 10752K, 0% used [0x0000000774000000,0x0000000774000000,0x0000000774a80000)
    [junit]  ParOldGen       total 93184K, used 6420K [0x00000006c5400000, 0x00000006caf00000, 0x000000076c700000)
    [junit]   object space 93184K, 6% used [0x00000006c5400000,0x00000006c5a452d0,0x00000006caf00000)
    [junit]  Metaspace       used 29916K, capacity 30376K, committed 30592K, reserved 1077248K
    [junit]   class space    used 3512K, capacity 3659K, committed 3712K, reserved 1048576K
    [junit] 

Can you please fix it quickly?

comment:3 Changed 4 months ago by Don-vip

It happened again:

test:
     [echo] Running unit tests with JUnit
[jacoco:coverage] Enhancing junit with coverage
    [junit] Running org.openstreetmap.josm.plugins.mapillary.AbstractTest
    [junit] Tests run: 1, Failures: 0, Errors: 0, Skipped: 1, Time elapsed: 0.203 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.ImportTest
    [junit] Tests run: 2, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 2.627 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.MapillaryAbstractImageTest
    [junit] Tests run: 2, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 1.4 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.MapillaryDataTest
    [junit] Tests run: 8, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.055 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.MapillaryLayerTest
    [junit] Tests run: 6, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.314 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.MapillarySequenceTest
    [junit] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.003 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.cache.MapillaryCacheTest
    [junit] Tests run: 1, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.018 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.gui.ImageDisplayTest
    [junit] Tests run: 3, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.022 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.gui.MapillaryPreferenceSettingTest
    [junit] Tests run: 4, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.223 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.gui.layer.MapObjectLayerTest
    [junit] Tests run: 6, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.37 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.history.MapillaryRecordTest
    [junit] Tests run: 9, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 0.048 sec
    [junit] Running org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest
    [junit] 2017-04-15 15:18:08
    [junit] Full thread dump OpenJDK 64-Bit Server VM (25.121-b13 mixed mode):
    [junit] 
    [junit] "AWT-EventQueue-0" #24 prio=6 os_prio=0 tid=0x00007fe414a5a000 nid=0x51e8 waiting for monitor entry [0x00007fe3e8261000]
    [junit]    java.lang.Thread.State: BLOCKED (on object monitor)
    [junit] 	at java.awt.Component.invalidate(Component.java:2934)
    [junit] 	- waiting to lock <0x00000006c59ad440> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.invalidate(Container.java:1587)
    [junit] 	at javax.swing.JComponent.revalidate(JComponent.java:4848)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$RootView.preferenceChanged(BasicTextUI.java:1406)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.GlyphView.changedUpdate(GlyphView.java:962)
    [junit] 	at javax.swing.text.LabelView.changedUpdate(LabelView.java:303)
    [junit] 	at javax.swing.text.html.InlineView.changedUpdate(InlineView.java:93)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.FlowView$LogicalView.forwardUpdateToView(FlowView.java:795)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.FlowView$LogicalView.forwardUpdate(FlowView.java:805)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.FlowView.changedUpdate(FlowView.java:283)
    [junit] 	at javax.swing.text.ParagraphView.changedUpdate(ParagraphView.java:788)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.BoxView.forwardUpdate(BoxView.java:240)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.html.BlockView.changedUpdate(BlockView.java:341)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.BoxView.forwardUpdate(BoxView.java:240)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.html.BlockView.changedUpdate(BlockView.java:341)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$RootView.changedUpdate(BasicTextUI.java:1638)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$UpdateHandler.changedUpdate(BasicTextUI.java:1899)
    [junit] 	at javax.swing.text.AbstractDocument.fireChangedUpdate(AbstractDocument.java:230)
    [junit] 	at javax.swing.text.html.HTMLDocument.fireChangedUpdate(HTMLDocument.java:1738)
    [junit] 	at javax.swing.text.DefaultStyledDocument$ChangeUpdateRunnable.run(DefaultStyledDocument.java:2738)
    [junit] 	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
    [junit] 	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
    [junit] 	at java.awt.EventQueue.access$500(EventQueue.java:97)
    [junit] 	at java.awt.EventQueue$3.run(EventQueue.java:709)
    [junit] 	at java.awt.EventQueue$3.run(EventQueue.java:703)
    [junit] 	at java.security.AccessController.doPrivileged(Native Method)
    [junit] 	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
    [junit] 	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
    [junit] 	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
    [junit] 	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
    [junit] 	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
    [junit] 	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    [junit] 	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
    [junit] 	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
    [junit] 
    [junit] "AWT-Shutdown" #25 prio=5 os_prio=0 tid=0x00007fe414a24000 nid=0x51e3 in Object.wait() [0x00007fe3ab8da000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x000000076df923b8> (a java.lang.Object)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:295)
    [junit] 	- locked <0x000000076df923b8> (a java.lang.Object)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "JCS-ElementEventQueue-Thread-4" #16 daemon prio=5 os_prio=0 tid=0x00007fe414841000 nid=0x510a waiting on condition [0x00007fe3e8764000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x00000006c5489660> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Java2D Disposer" #14 daemon prio=10 os_prio=0 tid=0x00007fe41499d000 nid=0x50e0 in Object.wait() [0x00007fe3e9684000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c54b22a0> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:143)
    [junit] 	- locked <0x00000006c54b22a0> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:164)
    [junit] 	at sun.java2d.Disposer.run(Disposer.java:148)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Thread-2" #11 daemon prio=5 os_prio=0 tid=0x00007fe414672800 nid=0x5035 runnable [0x00007fe3e9581000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 	at sun.nio.fs.LinuxWatchService.poll(Native Method)
    [junit] 	at sun.nio.fs.LinuxWatchService.access$600(LinuxWatchService.java:47)
    [junit] 	at sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:314)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Service Thread" #9 daemon prio=9 os_prio=0 tid=0x00007fe41441b800 nid=0x4fae runnable [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C1 CompilerThread2" #8 daemon prio=9 os_prio=0 tid=0x00007fe4143b2000 nid=0x4fad waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C2 CompilerThread1" #7 daemon prio=9 os_prio=0 tid=0x00007fe4143b1000 nid=0x4fac waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C2 CompilerThread0" #6 daemon prio=9 os_prio=0 tid=0x00007fe4143b0800 nid=0x4fab waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "Signal Dispatcher" #4 daemon prio=9 os_prio=0 tid=0x00007fe414175000 nid=0x4f9d waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "Finalizer" #3 daemon prio=8 os_prio=0 tid=0x00007fe41414d800 nid=0x4f9c in Object.wait() [0x00007fe3eaeed000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c54b34f8> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:143)
    [junit] 	- locked <0x00000006c54b34f8> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:164)
    [junit] 	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:209)
    [junit] 
    [junit] "Reference Handler" #2 daemon prio=10 os_prio=0 tid=0x00007fe414149000 nid=0x4f9b in Object.wait() [0x00007fe3eafee000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c54b36b0> (a java.lang.ref.Reference$Lock)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at java.lang.ref.Reference.tryHandlePending(Reference.java:191)
    [junit] 	- locked <0x00000006c54b36b0> (a java.lang.ref.Reference$Lock)
    [junit] 	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:153)
    [junit] 
    [junit] "main" #1 prio=5 os_prio=0 tid=0x00007fe41400d000 nid=0x4f8f in Object.wait() [0x00007fe41ce98000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x000000077000a128> (a javax.swing.text.html.HTMLDocument)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at javax.swing.text.AbstractDocument.readLock(AbstractDocument.java:1387)
    [junit] 	- locked <0x000000077000a128> (a javax.swing.text.html.HTMLDocument)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI.getMinimumSize(BasicTextUI.java:942)
    [junit] 	at javax.swing.JComponent.getMinimumSize(JComponent.java:1744)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculateNonlinkedMinimumSize(GroupLayout.java:3008)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculateMinimumSize(GroupLayout.java:2972)
    [junit] 	at javax.swing.GroupLayout$Spring.getMinimumSize(GroupLayout.java:1336)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculatePreferredSize(GroupLayout.java:2979)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout$Group.getSpringSize(GroupLayout.java:1638)
    [junit] 	at javax.swing.GroupLayout$Group.calculateSize(GroupLayout.java:1627)
    [junit] 	at javax.swing.GroupLayout$Group.calculatePreferredSize(GroupLayout.java:1602)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout$Group.getSpringSize(GroupLayout.java:1638)
    [junit] 	at javax.swing.GroupLayout$Group.calculateSize(GroupLayout.java:1625)
    [junit] 	at javax.swing.GroupLayout$Group.calculatePreferredSize(GroupLayout.java:1602)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout.calculateAutopadding(GroupLayout.java:1071)
    [junit] 	at javax.swing.GroupLayout.prepare(GroupLayout.java:1058)
    [junit] 	at javax.swing.GroupLayout.preferredLayoutSize(GroupLayout.java:878)
    [junit] 	at java.awt.Container.preferredSize(Container.java:1796)
    [junit] 	- locked <0x00000006c59ad440> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.getPreferredSize(Container.java:1780)
    [junit] 	at javax.swing.JComponent.getPreferredSize(JComponent.java:1664)
    [junit] 	at java.awt.FlowLayout.preferredLayoutSize(FlowLayout.java:414)
    [junit] 	- locked <0x00000006c59ad440> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.preferredSize(Container.java:1796)
    [junit] 	- locked <0x00000006c59ad440> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.getPreferredSize(Container.java:1780)
    [junit] 	at javax.swing.JComponent.getPreferredSize(JComponent.java:1664)
    [junit] 	at org.openstreetmap.josm.gui.NotificationManager.processQueue(NotificationManager.java:110)
    [junit] 	at org.openstreetmap.josm.gui.NotificationManager.showNotification(NotificationManager.java:95)
    [junit] 	- locked <0x00000007700cc968> (a java.util.LinkedList)
    [junit] 	at org.openstreetmap.josm.gui.Notification.show(Notification.java:211)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.BoundsDownloadRunnable.run(BoundsDownloadRunnable.java:42)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest.testNumberOfDecodedImages(SequenceDownloadRunnableTest.java:67)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest.testRun3(SequenceDownloadRunnableTest.java:46)
    [junit] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [junit] 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [junit] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [junit] 	at java.lang.reflect.Method.invoke(Method.java:498)
    [junit] 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
    [junit] 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
    [junit] 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
    [junit] 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
    [junit] 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:26)
    [junit] 	at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325)
    [junit] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78)
    [junit] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57)
    [junit] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290)
    [junit] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71)
    [junit] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288)
    [junit] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58)
    [junit] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268)
    [junit] 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:26)
    [junit] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:363)
    [junit] 	at junit.framework.JUnit4TestAdapter.run(JUnit4TestAdapter.java:38)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:535)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:1182)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:1004)
    [junit] 
    [junit] "VM Thread" os_prio=0 tid=0x00007fe414141800 nid=0x4f99 runnable 
    [junit] 
    [junit] "GC task thread#0 (ParallelGC)" os_prio=0 tid=0x00007fe414022000 nid=0x4f93 runnable 
    [junit] 
    [junit] "GC task thread#1 (ParallelGC)" os_prio=0 tid=0x00007fe414024000 nid=0x4f94 runnable 
    [junit] 
    [junit] "GC task thread#2 (ParallelGC)" os_prio=0 tid=0x00007fe414025800 nid=0x4f95 runnable 
    [junit] 
    [junit] "GC task thread#3 (ParallelGC)" os_prio=0 tid=0x00007fe414027800 nid=0x4f96 runnable 
    [junit] 
    [junit] "VM Periodic Task Thread" os_prio=0 tid=0x00007fe414442000 nid=0x4faf waiting on condition 
    [junit] 
    [junit] JNI global references: 542
    [junit] 
    [junit] Heap
    [junit]  PSYoungGen      total 139776K, used 86020K [0x000000076c700000, 0x000000077d800000, 0x00000007c0000000)
    [junit]   eden space 129024K, 66% used [0x000000076c700000,0x0000000771b013a0,0x0000000774500000)
    [junit]   from space 10752K, 0% used [0x0000000774500000,0x0000000774500000,0x0000000774f80000)
    [junit]   to   space 10752K, 0% used [0x000000077cd80000,0x000000077cd80000,0x000000077d800000)
    [junit]  ParOldGen       total 90624K, used 6489K [0x00000006c5400000, 0x00000006cac80000, 0x000000076c700000)
    [junit]   object space 90624K, 7% used [0x00000006c5400000,0x00000006c5a567a0,0x00000006cac80000)
    [junit]  Metaspace       used 29944K, capacity 30454K, committed 30592K, reserved 1077248K
    [junit]   class space    used 3512K, capacity 3660K, committed 3712K, reserved 1048576K

comment:4 Changed 4 months ago by floscher

I improved synchronization in MapillaryData, so this issue should be fixed now.
Could you try out the release candidate for the next version and test if the issue is really fixed?
It can be downloaded from here: https://github.com/JOSM/Mapillary/releases/tag/v1.5.1-rc

comment:5 in reply to:  4 Changed 4 months ago by Don-vip

Replying to floscher:

I improved synchronization in MapillaryData, so this issue should be fixed now.
Could you try out the release candidate for the next version and test if the issue is really fixed?
It can be downloaded from here: https://github.com/JOSM/Mapillary/releases/tag/v1.5.1-rc

The test is automatic, we will see if it's fixed or not as soon as the new version is published in the JOSM plugins list.

comment:6 Changed 4 months ago by alexkemp

This problem seemed to occur when a brand-new photo sequence was uplifted, and only with JOSM-latest. I've uploaded the final part of my last survey today, and will be making a new survey (and thus new photo sequence) soonish, possibly tomorrow. I'll use JOSM-latest & update plugins as per normal when I do so. We shall see...

comment:7 Changed 4 months ago by alexkemp

So far on limited testing using JOSM-latest + updated Mapillary, no problems, so looks good (https://www.openstreetmap.org/changeset/47849536, https://www.openstreetmap.org/changeset/47851256 + https://www.openstreetmap.org/changeset/47852516).

JOSM-11926
Mapillary-1.5.1

comment:8 Changed 4 months ago by floscher

Great so far 🎉, thanks for testing this out.

But Jenkins freezes again, so it needs more fixing.
It's kind of odd, because I regularly run the tests locally and on Travis and it never freezed there. I'll have another look.

comment:9 in reply to:  8 Changed 4 months ago by stoecker

Replying to floscher:

It's kind of odd, because I regularly run the tests locally and on Travis and it never freezed there. I'll have another look.

JOSM server has probably more load. This increases the chance of timing issues to happen. A deadlock due to synchronisation problems is thus probably more likely on JOSM's infrastructure than on a single purpose test environment.

comment:10 Changed 4 months ago by Don-vip

Here is the new output of kill -3:

    [junit] Running org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest
    [junit] 2017-04-17 14:49:01
    [junit] Full thread dump OpenJDK 64-Bit Server VM (25.121-b13 mixed mode):
    [junit] 
    [junit] "AWT-EventQueue-0" #24 prio=6 os_prio=0 tid=0x00007f7a04925800 nid=0x7e26 waiting for monitor entry [0x00007f79ecaef000]
    [junit]    java.lang.Thread.State: BLOCKED (on object monitor)
    [junit] 	at java.awt.Component.invalidate(Component.java:2934)
    [junit] 	- waiting to lock <0x00000006c586d1f0> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.invalidate(Container.java:1587)
    [junit] 	at javax.swing.JComponent.revalidate(JComponent.java:4848)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$RootView.preferenceChanged(BasicTextUI.java:1406)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.BoxView.preferenceChanged(BoxView.java:286)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.View.preferenceChanged(View.java:288)
    [junit] 	at javax.swing.text.GlyphView.changedUpdate(GlyphView.java:962)
    [junit] 	at javax.swing.text.LabelView.changedUpdate(LabelView.java:303)
    [junit] 	at javax.swing.text.html.InlineView.changedUpdate(InlineView.java:93)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.FlowView$LogicalView.forwardUpdateToView(FlowView.java:795)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.FlowView$LogicalView.forwardUpdate(FlowView.java:805)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.FlowView.changedUpdate(FlowView.java:283)
    [junit] 	at javax.swing.text.ParagraphView.changedUpdate(ParagraphView.java:788)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.BoxView.forwardUpdate(BoxView.java:240)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.html.BlockView.changedUpdate(BlockView.java:341)
    [junit] 	at javax.swing.text.View.forwardUpdateToView(View.java:1231)
    [junit] 	at javax.swing.text.View.forwardUpdate(View.java:1162)
    [junit] 	at javax.swing.text.BoxView.forwardUpdate(BoxView.java:240)
    [junit] 	at javax.swing.text.View.changedUpdate(View.java:792)
    [junit] 	at javax.swing.text.html.BlockView.changedUpdate(BlockView.java:341)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$RootView.changedUpdate(BasicTextUI.java:1638)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI$UpdateHandler.changedUpdate(BasicTextUI.java:1899)
    [junit] 	at javax.swing.text.AbstractDocument.fireChangedUpdate(AbstractDocument.java:230)
    [junit] 	at javax.swing.text.html.HTMLDocument.fireChangedUpdate(HTMLDocument.java:1738)
    [junit] 	at javax.swing.text.DefaultStyledDocument$ChangeUpdateRunnable.run(DefaultStyledDocument.java:2738)
    [junit] 	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311)
    [junit] 	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756)
    [junit] 	at java.awt.EventQueue.access$500(EventQueue.java:97)
    [junit] 	at java.awt.EventQueue$3.run(EventQueue.java:709)
    [junit] 	at java.awt.EventQueue$3.run(EventQueue.java:703)
    [junit] 	at java.security.AccessController.doPrivileged(Native Method)
    [junit] 	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80)
    [junit] 	at java.awt.EventQueue.dispatchEvent(EventQueue.java:726)
    [junit] 	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
    [junit] 	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
    [junit] 	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
    [junit] 	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
    [junit] 	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
    [junit] 	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)
    [junit] 
    [junit] "AWT-Shutdown" #25 prio=5 os_prio=0 tid=0x00007f7a04924800 nid=0x7e24 in Object.wait() [0x00007f79ec1cb000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000007750ce188> (a java.lang.Object)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:295)
    [junit] 	- locked <0x00000007750ce188> (a java.lang.Object)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "JCS-ElementEventQueue-Thread-5" #17 daemon prio=5 os_prio=0 tid=0x00007f7a04a1e000 nid=0x7e1d waiting on condition [0x00007f79ecdf2000]
    [junit]    java.lang.Thread.State: WAITING (parking)
    [junit] 	at sun.misc.Unsafe.park(Native Method)
    [junit] 	- parking to wait for  <0x0000000774fc8140> (a java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject)
    [junit] 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:175)
    [junit] 	at java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2039)
    [junit] 	at java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:442)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1067)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1127)
    [junit] 	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Java2D Disposer" #14 daemon prio=10 os_prio=0 tid=0x00007f7a0499c000 nid=0x7e1c in Object.wait() [0x00007f79ed2fd000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c549a808> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:143)
    [junit] 	- locked <0x00000006c549a808> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:164)
    [junit] 	at sun.java2d.Disposer.run(Disposer.java:148)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Thread-2" #11 daemon prio=5 os_prio=0 tid=0x00007f7a04663800 nid=0x7e19 runnable [0x00007f79edf3a000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 	at sun.nio.fs.LinuxWatchService.poll(Native Method)
    [junit] 	at sun.nio.fs.LinuxWatchService.access$600(LinuxWatchService.java:47)
    [junit] 	at sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:314)
    [junit] 	at java.lang.Thread.run(Thread.java:745)
    [junit] 
    [junit] "Service Thread" #9 daemon prio=9 os_prio=0 tid=0x00007f7a04427000 nid=0x7e17 runnable [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C1 CompilerThread2" #8 daemon prio=9 os_prio=0 tid=0x00007f7a04428800 nid=0x7e16 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C2 CompilerThread1" #7 daemon prio=9 os_prio=0 tid=0x00007f7a0442c000 nid=0x7e15 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "C2 CompilerThread0" #6 daemon prio=9 os_prio=0 tid=0x00007f7a0442a800 nid=0x7e14 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "Signal Dispatcher" #4 daemon prio=9 os_prio=0 tid=0x00007f7a04175800 nid=0x7e13 waiting on condition [0x0000000000000000]
    [junit]    java.lang.Thread.State: RUNNABLE
    [junit] 
    [junit] "Finalizer" #3 daemon prio=8 os_prio=0 tid=0x00007f7a0414e000 nid=0x7e12 in Object.wait() [0x00007f79ef7f6000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c54f8410> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:143)
    [junit] 	- locked <0x00000006c54f8410> (a java.lang.ref.ReferenceQueue$Lock)
    [junit] 	at java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:164)
    [junit] 	at java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:209)
    [junit] 
    [junit] "Reference Handler" #2 daemon prio=10 os_prio=0 tid=0x00007f7a04149000 nid=0x7e11 in Object.wait() [0x00007f79ef8f7000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x00000006c54f8640> (a java.lang.ref.Reference$Lock)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at java.lang.ref.Reference.tryHandlePending(Reference.java:191)
    [junit] 	- locked <0x00000006c54f8640> (a java.lang.ref.Reference$Lock)
    [junit] 	at java.lang.ref.Reference$ReferenceHandler.run(Reference.java:153)
    [junit] 
    [junit] "main" #1 prio=5 os_prio=0 tid=0x00007f7a0400d000 nid=0x7e0a in Object.wait() [0x00007f7a0da07000]
    [junit]    java.lang.Thread.State: WAITING (on object monitor)
    [junit] 	at java.lang.Object.wait(Native Method)
    [junit] 	- waiting on <0x0000000775070230> (a javax.swing.text.html.HTMLDocument)
    [junit] 	at java.lang.Object.wait(Object.java:502)
    [junit] 	at javax.swing.text.AbstractDocument.readLock(AbstractDocument.java:1387)
    [junit] 	- locked <0x0000000775070230> (a javax.swing.text.html.HTMLDocument)
    [junit] 	at javax.swing.plaf.basic.BasicTextUI.getMinimumSize(BasicTextUI.java:942)
    [junit] 	at javax.swing.JComponent.getMinimumSize(JComponent.java:1744)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculateNonlinkedMinimumSize(GroupLayout.java:3008)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculateMinimumSize(GroupLayout.java:2972)
    [junit] 	at javax.swing.GroupLayout$Spring.getMinimumSize(GroupLayout.java:1336)
    [junit] 	at javax.swing.GroupLayout$ComponentSpring.calculatePreferredSize(GroupLayout.java:2979)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout$Group.getSpringSize(GroupLayout.java:1638)
    [junit] 	at javax.swing.GroupLayout$Group.calculateSize(GroupLayout.java:1627)
    [junit] 	at javax.swing.GroupLayout$Group.calculatePreferredSize(GroupLayout.java:1602)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout$Group.getSpringSize(GroupLayout.java:1638)
    [junit] 	at javax.swing.GroupLayout$Group.calculateSize(GroupLayout.java:1625)
    [junit] 	at javax.swing.GroupLayout$Group.calculatePreferredSize(GroupLayout.java:1602)
    [junit] 	at javax.swing.GroupLayout$Spring.getPreferredSize(GroupLayout.java:1346)
    [junit] 	at javax.swing.GroupLayout.calculateAutopadding(GroupLayout.java:1071)
    [junit] 	at javax.swing.GroupLayout.prepare(GroupLayout.java:1058)
    [junit] 	at javax.swing.GroupLayout.preferredLayoutSize(GroupLayout.java:878)
    [junit] 	at java.awt.Container.preferredSize(Container.java:1796)
    [junit] 	- locked <0x00000006c586d1f0> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.getPreferredSize(Container.java:1780)
    [junit] 	at javax.swing.JComponent.getPreferredSize(JComponent.java:1664)
    [junit] 	at java.awt.FlowLayout.preferredLayoutSize(FlowLayout.java:414)
    [junit] 	- locked <0x00000006c586d1f0> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.preferredSize(Container.java:1796)
    [junit] 	- locked <0x00000006c586d1f0> (a java.awt.Component$AWTTreeLock)
    [junit] 	at java.awt.Container.getPreferredSize(Container.java:1780)
    [junit] 	at javax.swing.JComponent.getPreferredSize(JComponent.java:1664)
    [junit] 	at org.openstreetmap.josm.gui.NotificationManager.processQueue(NotificationManager.java:110)
    [junit] 	at org.openstreetmap.josm.gui.NotificationManager.showNotification(NotificationManager.java:95)
    [junit] 	- locked <0x00000007750bbfb8> (a java.util.LinkedList)
    [junit] 	at org.openstreetmap.josm.gui.Notification.show(Notification.java:211)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.BoundsDownloadRunnable.run(BoundsDownloadRunnable.java:42)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest.testNumberOfDecodedImages(SequenceDownloadRunnableTest.java:67)
    [junit] 	at org.openstreetmap.josm.plugins.mapillary.io.download.SequenceDownloadRunnableTest.testRun3(SequenceDownloadRunnableTest.java:46)
    [junit] 	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [junit] 	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [junit] 	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [junit] 	at java.lang.reflect.Method.invoke(Method.java:498)
    [junit] 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
    [junit] 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
    [junit] 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
    [junit] 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
    [junit] 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:26)
    [junit] 	at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325)
    [junit] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78)
    [junit] 	at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57)
    [junit] 	at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290)
    [junit] 	at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71)
    [junit] 	at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288)
    [junit] 	at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58)
    [junit] 	at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268)
    [junit] 	at org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:26)
    [junit] 	at org.junit.runners.ParentRunner.run(ParentRunner.java:363)
    [junit] 	at junit.framework.JUnit4TestAdapter.run(JUnit4TestAdapter.java:38)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:535)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:1182)
    [junit] 	at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:1004)
    [junit] 
    [junit] "VM Thread" os_prio=0 tid=0x00007f7a04141800 nid=0x7e10 runnable 
    [junit] 
    [junit] "GC task thread#0 (ParallelGC)" os_prio=0 tid=0x00007f7a04022000 nid=0x7e0c runnable 
    [junit] 
    [junit] "GC task thread#1 (ParallelGC)" os_prio=0 tid=0x00007f7a04024000 nid=0x7e0d runnable 
    [junit] 
    [junit] "GC task thread#2 (ParallelGC)" os_prio=0 tid=0x00007f7a04025800 nid=0x7e0e runnable 
    [junit] 
    [junit] "GC task thread#3 (ParallelGC)" os_prio=0 tid=0x00007f7a04027800 nid=0x7e0f runnable 
    [junit] 
    [junit] "VM Periodic Task Thread" os_prio=0 tid=0x00007f7a04436800 nid=0x7e18 waiting on condition 
    [junit] 
    [junit] JNI global references: 519
    [junit] 
    [junit] Heap
    [junit]  PSYoungGen      total 114688K, used 21503K [0x000000076c700000, 0x0000000775580000, 0x00000007c0000000)
    [junit]   eden space 108544K, 14% used [0x000000076c700000,0x000000076d679830,0x0000000773100000)
    [junit]   from space 6144K, 92% used [0x0000000774f80000,0x0000000775506560,0x0000000775580000)
    [junit]   to   space 10752K, 0% used [0x0000000774080000,0x0000000774080000,0x0000000774b00000)
    [junit]  ParOldGen       total 89600K, used 6418K [0x00000006c5400000, 0x00000006cab80000, 0x000000076c700000)
    [junit]   object space 89600K, 7% used [0x00000006c5400000,0x00000006c5a44ac0,0x00000006cab80000)
    [junit]  Metaspace       used 29913K, capacity 30402K, committed 30592K, reserved 1077248K
    [junit]   class space    used 3515K, capacity 3662K, committed 3712K, reserved 1048576K

The presence of org.openstreetmap.josm.gui.NotificationManager.processQueue in the stacktrace makes me think this is maybe a problem in core (#13809)

comment:11 Changed 4 months ago by floscher

Yes, I just noticed the appearance of Notification too. Could it be, that it's problematic to show a Notification, when in headless mode (like on the Jenkins server and unlike on Travis and my machine)?

I'll add a check to that Notification in the Mapillary plugin, if it's running in headless mode. Then we'll see.

comment:12 Changed 4 months ago by floscher

Resolution: duplicate
Status: newclosed

Closed as duplicate of #13283.
This issue is a duplicate of #13283 (the originally reported part) and #13809 (the part affecting Jenkins), so I'll close this now.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain floscher.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.